Loading...
Searching...
No Matches
casacore::python::casa_array_from_python Struct Reference

`#include <PycArray.h>`

## Static Public Member Functions

static ValueHolder | makeArray (PyObject *obj_ptr, Bool copyData=False)
| Constructs an Array from a Python object.
static ValueHolder | makeArrayFromDict (PyObject *obj_ptr)
| Construct an Array<String> from a special Python dict object.
static ValueHolder | makeScalar (PyObject *obj_ptr)
| Construct a scalar from an array scalar (i.e.

## Detailed Description

Definition at line 65 of file PycArray.h.

## Member Function Documentation

## makeArray()

ValueHolder casacore::python::casa_array_from_python::makeArray | ( | PyObject * | obj_ptr,
|  | Bool | copyData = False )

static

Constructs an Array from a Python object.

If copyData=False, the array data is only copied if needed meaning that the Array object in the ValueHolder can reference the data in Python array. That should only be used if the ValueHolder and its Array will be destructed before the Python array.

References casacore::False.

## makeArrayFromDict()

ValueHolder casacore::python::casa_array_from_python::makeArrayFromDict | ( | PyObject * | obj_ptr | ) |

static

Construct an Array<String> from a special Python dict object.

## makeScalar()

ValueHolder casacore::python::casa_array_from_python::makeScalar | ( | PyObject * | obj_ptr | ) |

static

Construct a scalar from an array scalar (i.e.

element in array).

The documentation for this struct was generated from the following file:

- python/Converters/PycArray.h